.section	".rodata"
.align	8
.section	".text"
odd_21:
	cmp	%i2, 0
	bg	ble_else_44
	nop
	cmp	%i2, 0
	bl	bge_else_45
	nop
	set	456, %i2
	retl
	nop
bge_else_45:
	add	%i2, 1, %i2
	b	even_17
	nop
ble_else_44:
	sub	%i2, 1, %i2
	b	even_17
	nop
even_17:
	cmp	%i2, 0
	bg	ble_else_46
	nop
	cmp	%i2, 0
	bl	bge_else_47
	nop
	set	123, %i2
	retl
	nop
bge_else_47:
	add	%i2, 1, %i2
	b	odd_21
	nop
ble_else_46:
	sub	%i2, 1, %i2
	b	odd_21
	nop
.global	min_caml_start
min_caml_start:
	save	%sp, -112, %sp
	set	789, %i2
	st	%o7, [%i0 + 4]
	call	even_17
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	st	%o7, [%i0 + 4]
	call	min_caml_print_int
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	ret
	restore
